## vim: set ts=4 sw=4 et:
# Copyright (c) 2009-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Name:           imagination
Version:        3.4
Release:        pm153.1.5
Summary:        A lightweight and simple DVD slide show maker
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://imagination.sourceforge.net/
License: GPL-2.0
# http://prdownloads.sourceforge.net/imagination/imagination-%{version}.tar.gz
Source:         imagination-%{version}.tar.bz2
#
# not needed anymore, already set upstream
#
# Patch1:         imagination-plugins_installed.patch
Source90:       %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  hicolor-icon-theme
BuildRequires:  libxslt sgml-skel docbook-xsl-stylesheets
BuildRequires:  perl-XML-Parser
BuildRequires:  sox-devel
BuildRequires:  update-desktop-files
Recommends:     %{name}-doc = %{version}
Requires:       ffmpeg

%description
Imagination is a lightweight and simple DVD slide show maker
written in C language and built with the GTK+2 toolkit. I noticed
a lack on the Linux platform of a user-friendly DVD slide show
maker, so I started developing Imagination. True, there are some
other GUIs which do the job, but they usually require a lot of
dependencies to be installed first. Imagination has been designed
from the ground up to be fast, light and easy-to-use. It requires
the ffmpeg encoder ONLY to produce the movie file - to be burned
to DVD then with another application. Yes you don't need any
other third-party software, I like the KISS principle :)

Imagination at present features 26 transitions effects developed
as plugins loaded at startup. Exporting of the slideshow as FLV
format is supported. No sound and Ken Burns effects yet but they
are planned in the next release.

%package doc
Summary:        Documentation for %{name}
Group:          Productivity/Multimedia/Video/Editors and Convertors
Requires:       %{name} = %{version}

%description doc
Imagination is a lightweight and simple DVD slide show maker
written in C language and built with the GTK+2 toolkit. I noticed
a lack on the Linux platform of a user-friendly DVD slide show
maker, so I started developing Imagination. True, there are some
other GUIs which do the job, but they usually require a lot of
dependencies to be installed first. Imagination has been designed
from the ground up to be fast, light and easy-to-use. It requires
the ffmpeg encoder ONLY to produce the movie file - to be burned
to DVD then with another application. Yes you don't need any
other third-party software, I like the KISS principle :)

Imagination at present features 26 transitions effects developed
as plugins loaded at startup. Exporting of the slideshow as FLV
format is supported. No sound and Ken Burns effects yet but they
are planned in the next release.

This subpackage contains the documentation for %{name}.

%lang_package

%prep
%setup -q

#NOTE FOR PACKAGERS:
# Before packaging Imagination (unless this hasn't already been done) please
# comment line 22 in file src/support.c from this:
#define PLUGINS_INSTALLED 0
#to this:
#define PLUGINS_INSTALLED 1
#
# If you fail to do so Imagination won't be able to load the transitions and the
# transition's images when the package is installed.

#
# not needed anymore, already set upstream
#
# %patch1

%build
# the LDFLAGS hack saves me from patching the makefiles... --seife
%configure LDFLAGS="-lm -lgmodule-2.0"
%__make %{?_smp_flags} V=1

%install
%makeinstall

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 icons/48x48/imagination.png \
    %{buildroot}%{_datadir}/pixmaps

%suse_update_desktop_file -r %{name} AudioVideo AudioVideoEditing
%find_lang %{name}

%__rm %{buildroot}%{_libdir}/%{name}/*.la
%__mv %{buildroot}%{_datadir}/doc/imagination newdoc

%__install -d "%{buildroot}%{_docdir}/%{name}"
%__install -m0644 AUTHORS COPYING "%{buildroot}%{_docdir}/%{name}"
%__cp -a newdoc/* "%{buildroot}%{_docdir}/%{name}/"

%files
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%{_bindir}/imagination
%dir %{_libdir}/imagination
%{_libdir}/imagination/bar_wipe.so
%{_libdir}/imagination/barn_door_wipe.so
%{_libdir}/imagination/bow_tie_wipe.so
%{_libdir}/imagination/box_wipe.so
%{_libdir}/imagination/clock_wipe.so
%{_libdir}/imagination/diagonal_wipe.so
%{_libdir}/imagination/ellipse_wipe.so
%{_libdir}/imagination/four_box_wipe.so
%{_libdir}/imagination/insert.so
%{_libdir}/imagination/misc.so
%{_libdir}/imagination/misc_diagonal_wipe.so
%{_libdir}/imagination/misc_shape_wipe.so
%{_libdir}/imagination/push_wipe.so
%{_libdir}/imagination/rochade.so
%{_libdir}/imagination/wave.so
%{_datadir}/imagination
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%files doc
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%exclude %{_docdir}/%{name}/AUTHORS
%exclude %{_docdir}/%{name}/COPYING

%files lang -f %{name}.lang

%changelog
* Sun May 26 2019 Mathias Homann <Mathias.Homann@opensuse.org>
- Version bump to 3.4
  * Subtitle info are no more saved in the project file if the slide hasn't got any text.
  * Starting the preview from the middle plays music accordingly to its timing in the slideshow.
  * Project can be ported to other media as filenames can be saved without their path.
  * Subtitle can be now rotated.
  * Subtitle can now be freely positioned on the slide.
  * Added a nice fading gradient animation in the Add/Edit slide dialog.
  * Fixed seg-fault when trying to delete a slide when preview is running.
  * Current slideshow is no more closed if user cancels when opening a new one.
  * Enjoy FULLSCREEN preview with background music and continuos mode.
  * The CTRL+A shortcut doesn't select all the slides anymore when pressed from the subtitle widget entry.
  * Subtitles can now have a pattern.
  * Empty slide background can now be edited.
  * Subtitle can have a background.
  * Got rid of Update button in the Slide Motion as it's now automatic.
  * Got rid of subtitle placing option.
  * Moved Add and Remove buttons in the Slide Motion on the right.
* Tue May 22 2012 seife+obs@b1-systems.com
- fix build on 12.1 and later by adding LDFLAGS=... to configure
- enable verbose build for rpmlint checks
* Thu Mar 10 2011 pascal.bleser@opensuse.org
- update to 3.0
- split out documentation into its own -doc subpackage (which is Recommends)
* Fri Jul 30 2010 toni@links2linux.de
- update to 2.1.1
* Thu Nov 19 2009 toni@links2linux.de
- update to 2.1
  The ability to add audio to the slideshow was added. Ogg Theora/Vorbis
  slideshow export was added. The last slide closes the slideshow with the
  same transition applied to the first one. Imagination can open a project
  specified on the command-line. Imagination can produce Ogg and FLV files
  with different video quality. The transitions were grouped into families
  and icons were added for describing the effect. New transitions effects
  were added. French, Czech, Brazilian Portuguese, German, and Spanish
  translations were added.
* Thu Feb 26 2009 toni@links2linux.de
- First packaged release 1.0
